<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Покупка рекламы');

// время выполнения
define('MT', microtime(true));


// обрабатываем платёж
switch($act = isset($_GET['act']) ? $_GET['act'] : '') {
    case 'result':
        if (! empty($_POST)) {
            if ($_POST['LMI_PREREQUEST'] == 1) {
                // проверяем заявку
                if (! file_exists(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat')) {
                    exit('ERR: Заявка не создана');
                } else {
                    $order = file_get_contents(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat');
                    $e = explode(';', $order);
                }

                // проверяем, не произошла ли подмена суммы.
                if ($e[0] != $_POST['LMI_PAYMENT_AMOUNT'])
                    exit('ERR: Неверная сумма ' . $_POST['LMI_PAYMENT_AMOUNT']);

                // проверяем, не произошла ли подена кошелька.
                if ($_POST['LMI_PAYEE_PURSE'] != WEBMONEY_PURSE)
                    exit('ERR: Неверный кошелек получателя ' . $_POST['LMI_PAYEE_PURSE']);

                // если ошибок не возникло, то выводим YES
                echo 'YES';
            } else {
                $common_string = $_POST['LMI_PAYEE_PURSE'].$_POST['LMI_PAYMENT_AMOUNT'].$_POST['LMI_PAYMENT_NO'].
                                 $_POST['LMI_MODE'].$_POST['LMI_SYS_INVS_NO'].$_POST['LMI_SYS_TRANS_NO'].
                                 $_POST['LMI_SYS_TRANS_DATE'].WEBMONEY_SECRETKEY.$_POST['LMI_PAYER_PURSE'].$_POST['LMI_PAYER_WM'];
                $hash = strtoupper(hash('sha256', $common_string));


                if ($hash != $_POST['LMI_HASH'])
                    exit;

                // публикуем рекламную ссылку
                rename(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat', ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-paid.dat');
            }
        }
        break;

    case 'success':
        
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>'.homeurl.' - Покупка рекламы </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Завершение покупки рекламы</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
        echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Завершение покупки рекламы на '.homeurl.'</div>';
   echo '<div class="row text_box"><div class="pull-right text-muted top_right_box"></div>Оплата произведена успешно! Рекламная ссылка добавлена.</div>';

///Подключаем футер
$title->GetFooter();
        break;

    case 'fail':
        // удаляем файл
        unlink(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat');
        
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>'.homeurl.' - Покупка рекламы </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Завершение покупки рекламы</span></li></ol></div></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

       echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Завершение покупки рекламы на '.homeurl.'</div>';
  echo '<div class="row text_box"><div class="pull-right text-muted top_right_box"></div>Ошибка! Оплата не произведена. Рекламная ссылка не добавлена.</div>';

///Подключаем футер
$title->GetFooter();
        break;
    default:
        header('Location: ' . URL);
        break;

}
